libvisio::VisioDocument Class Reference documentation

libvisio::VisioDocument Class Reference

`#include <VisioDocument.h>`

## Static Public Member Functions
static VSDAPI bool | isSupported (librevenge::RVNGInputStream *input)
| Analyzes the content of an input stream to see if it can be parsed.
static VSDAPI bool | parse (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
| Parses the input stream content.
static VSDAPI bool | parseStencils (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
| Parses the input stream content and extracts stencil pages, one stencil page per output page.

## Member Function Documentation

## ◆ isSupported()

VSDAPI bool libvisio::VisioDocument::isSupported | ( | librevenge::RVNGInputStream * | input | ) |
| static

Analyzes the content of an input stream to see if it can be parsed.

Parameters

  input | The input stream

Returns
  A value that indicates whether the content from the input stream is a Visio Document that libvisio able to parse

## ◆ parse()

VSDAPI bool libvisio::VisioDocument::parse | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGDrawingInterface * | painter )
| static

Parses the input stream content.

It will make callbacks to the functions provided by a librevenge::RVNGDrawingInterface class implementation when needed. This is often commonly called the 'main parsing routine'.

Parameters

  input | The input stream
  painter | A WPGPainterInterface implementation

Returns
  A value that indicates whether the parsing was successful

## ◆ parseStencils()

VSDAPI bool libvisio::VisioDocument::parseStencils | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGDrawingInterface * | painter )
| static

Parses the input stream content and extracts stencil pages, one stencil page per output page.

It will make callbacks to the functions provided by a librevenge::RVNGDrawingInterface class implementation when needed.

Parameters

  input | The input stream
  painter | A WPGPainterInterface implementation

Returns
  A value that indicates whether the parsing was successful

The documentation for this class was generated from the following files:

- VisioDocument.h
- VisioDocument.cpp